org.apache.hadoop.yarn.conf

## Class ConfigurationProvider

- java.lang.Object
- - org.apache.hadoop.yarn.conf.ConfigurationProvider

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class ConfigurationProvider
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationProvider()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `abstract void` | `closeInternal()` Derived classes close themselves using this method.
    `abstract InputStream` | `getConfigurationInputStream(org.apache.hadoop.conf.Configuration bootstrapConf, String name)` Opens an InputStream at the indicated file
    `void` | `init(org.apache.hadoop.conf.Configuration bootstrapConf)`
    `abstract void` | `initInternal(org.apache.hadoop.conf.Configuration bootstrapConf)` Derived classes initialize themselves using this method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationProvider

          public ConfigurationProvider()

  - ### Method Detail

    - #### init

          public void init(org.apache.hadoop.conf.Configuration bootstrapConf)
                    throws Exception

      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Throws:
        `Exception`

    - #### getConfigurationInputStream

          public abstract InputStream getConfigurationInputStream(org.apache.hadoop.conf.Configuration bootstrapConf,
                                                                  String name)
                                                           throws YarnException,
                                                                  IOException

      Opens an InputStream at the indicated file
      Parameters:
        `bootstrapConf` - Configuration
        `name` - The configuration file name
      Returns:
        configuration
      Throws:
        `YarnException`
        `IOException`

    - #### initInternal

          public abstract void initInternal(org.apache.hadoop.conf.Configuration bootstrapConf)
                                     throws Exception

      Derived classes initialize themselves using this method.
      Throws:
        `Exception`

    - #### closeInternal

          public abstract void closeInternal()
                                      throws Exception

      Derived classes close themselves using this method.
      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.